### Method

# Hinoko FwIsoResourceOnce deallocate_wait

since: 1.0

#### Declaration [src]

    gboolean
    hinoko_fw_iso_resource_once_deallocate_wait (
      HinokoFwIsoResourceOnce* self,
      guint channel,
      guint bandwidth,
      guint timeout_ms,
      GError** error
    )

#### Description [src]

Initiate deallocation of isochronous resource and wait for `HinokoFwIsoResource::deallocated` signal.

Available since: 1.0

#### Parameters

`channel`

  Type: `guint`

  The channel number to be deallocated.

`bandwidth`

  Type: `guint`

  The amount of bandwidth to be deallocated.

`timeout_ms`

  Type: `guint`

  The timeout to wait for deallocated event.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.